;; prj.common.el for 'SAXBench'
;;     this file read from prj.el of each subdirectries

;; JDE Project Name
(setq jde-project-name default-directory)

;; setup JDK and other libs home directories.
;(setq my-jdk-home "/usr/local/jdk1.2.2/")
(setq my-xerces-home "/usr/local/xerces-1_4_0/")
(setq my-tinyxml-home "/usr/local/TinyXML/")
(setq my-lark-home "/usr/local/Lark/")
;; ... or load setup from file.
;(load-file (concat src-root "libs.el"))

;; run
;(jde-run-set-vm-w (concat my-jdk-home "bin/javaw") )

;; compile
;(jde-set-compiler "jikes")
(jde-set-compiler (concat my-jdk-home "bin/javac"))
(setq my-build-tmp-name "build_tmp")
(jde-set-compile-options
 (concat
  " -d " src-root my-build-tmp-name
  " -g " ;; debug option.
;;  " +E" ;; +E ... emacs compatible error listing option for JIKES.
;;  " -encoding SJIS"
  ))

;; debug
(jde-db-set-debugger (concat my-jdk-home "bin/jdb") t)
(jde-db-set-source-paths (concat src-root
;;			  ":" foo-bar-home "src"
			  ))
(setq jde-global-classpath
      (list
       (concat src-root my-build-tmp-name)
       (concat my-xerces-home "xerces.jar")
       (concat my-tinyxml-home "classes")
       (concat my-lark-home)
       ) )
