package sax;

import java.io.UnsupportedEncodingException;

import javax.xml.parsers.*;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

public class JAXPDriver extends DefaultHandler implements Driver {
	private SAXParser parser;

	public void createParser(String parserName,  boolean val, boolean ns) 
		throws Exception {
		SAXParserFactory factory = SAXParserFactory.newInstance();
		factory.setValidating(val);
		factory.setNamespaceAware(ns);
		parser = factory.newSAXParser();
	}
	public void parse(String uri) throws Exception {
		parser.parse(uri, this);
	}
}
