package sax;

import java.io.UnsupportedEncodingException;

import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;

public class SAX2Driver extends DefaultHandler implements Driver {
	private XMLReader parser;

	public void createParser(String parserName,  boolean val, boolean ns) 
		throws Exception {
		parser = (XMLReader)Class.forName(parserName).newInstance();
		parser.setContentHandler(this);
		parser.setErrorHandler(this);
		parser.setFeature( "http://xml.org/sax/features/validation",
						   val);
		parser.setFeature( "http://xml.org/sax/features/namespaces",
						   ns);
	}
	public void parse(String uri) throws Exception {
		parser.parse(uri);
	}
}
